#define WORD int

#define NoError 	0
#define SysNoOpen	1
#define ActiveError	2
#define TimeOut 	3
#define SysOpenError	4
#define CheckError	5
#define BoardError	6
#define ChannelError	7
#define IrqError	8

extern short  ISODA_ShortSub2(short nA, short nB);
extern float  ISODA_FloatSub2(float fA, float fB);
extern WORD   ISODA_GetVersion(void);
extern WORD   ISODA_CheckBoard(WORD wBoard, WORD wBase, WORD wIrq);
extern WORD   ISODA_ActiveBoard(WORD wBoard);
extern WORD   ISODA_ReadActive(WORD *wActive, WORD *wBase, WORD *wIrq);
extern WORD   ISODA_Do(WORD wDo);
extern WORD   ISODA_Di(WORD *wDi);
extern WORD   ISODA_ReadPowerOnValue(WORD wChannel, WORD *wValue);
extern WORD   ISODA_SetPowerOnValue(WORD wChannel, WORD wValue);
extern WORD   ISODA_ReadRom(WORD wAddress, WORD *wValue);
extern WORD   ISODA_WriteRom(WORD wAddress, WORD wValue);
extern WORD   ISODA_AnalogOutput(WORD wChannel, WORD wValue);
extern WORD   ISODA_SetTimer(float timeslice);
extern WORD   ISODA_ReadTimer(float *timeslice);
extern WORD   ISODA_StartTimer(void);
extern WORD   ISODA_StopTimer(void);
extern WORD   ISODA_DelayMs(WORD wMs);
